Class UmlClassDiagram

This class manages 'class diagrams', notes that the class 'UmlDiagram'
is a mother class of all the diagrams, allowing to generalize their
management
You can modify it as you want (except the constructor)

Declaration :

- C++ : class UmlClassDiagram : public UmlBaseClassDiagram
- Java : class UmlClassDiagram extends UmlBaseClassDiagram

Artifact : UmlClassDiagram

Operation UmlClassDiagram

Declaration :

- Uml : + UmlClassDiagram(in id : item_id, in n : string) :
- C++ : public: UmlClassDiagram(void * id, const QCString & n) : UmlBaseClassDiagram(id, n)
- Java : public UmlClassDiagram(long id, String n)

All public operations : apply , applyStereotype , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , saveIn , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload